Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## javax.resource.spi
Class InvalidPropertyException

    java.lang.Object
      java.lang.Throwable
          java.lang.Exception
              javax.resource.ResourceException
                  javax.resource.spi.InvalidPropertyException

All Implemented Interfaces:
  Serializable

public class InvalidPropertyException
extends ResourceException

Represents invalid configuration properties

See Also:
  Serialized Form

Constructor Summary
`InvalidPropertyException()` Create an invalid property exception.
`InvalidPropertyException(String reason)` Create an invalid property exception with a reason.
`InvalidPropertyException(String reason, String errorCode)` Create an invalid property exception with a reason and an errorCode.
`InvalidPropertyException(String reason, Throwable throwable)` Create an invalid property exception with a reason and an error.
`InvalidPropertyException(Throwable throwable)` Create an invalid property exception with an error.

Method Summary
`PropertyDescriptor[]` | `getInvalidPropertyDescriptors()` Get the invalid property descriptors
`void` | `setInvalidPropertyDescriptors(PropertyDescriptor[] invalidProperties)` Set the invalid property descriptors

Methods inherited from class javax.resource.ResourceException
`getErrorCode, getLinkedException, setErrorCode, setLinkedException`

Methods inherited from class java.lang.Throwable
`fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### InvalidPropertyException

    public InvalidPropertyException()

  Create an invalid property exception.

### InvalidPropertyException

    public InvalidPropertyException(String reason)

  Create an invalid property exception with a reason.

Parameters:
  `reason` - the reason

### InvalidPropertyException

    public InvalidPropertyException(String reason,
                                    String errorCode)

  Create an invalid property exception with a reason and an errorCode.

Parameters:
  `reason` - the reason
  `errorCode` - the error code

### InvalidPropertyException

    public InvalidPropertyException(String reason,
                                    Throwable throwable)

  Create an invalid property exception with a reason and an error.

Parameters:
  `reason` - the reason
  `throwable` - the error

### InvalidPropertyException

    public InvalidPropertyException(Throwable throwable)

  Create an invalid property exception with an error.

Parameters:
  `throwable` - the error

Method Detail

### getInvalidPropertyDescriptors

    public PropertyDescriptor[] getInvalidPropertyDescriptors()

  Get the invalid property descriptors

  Returns:
    an array of invalid property descriptors

### setInvalidPropertyDescriptors

    public void setInvalidPropertyDescriptors(PropertyDescriptor[] invalidProperties)

  Set the invalid property descriptors

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2002 JBoss Group, LLC. All Rights Reserved.